Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 695024 - dev-lua/luv: keyword for arm and arm64
Summary: dev-lua/luv: keyword for arm and arm64
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Keywording (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Bernardo Meurer
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: 694574
  Show dependency tree
 
Reported: 2019-09-20 03:41 UTC by Bernardo Meurer
Modified: 2019-11-04 03:57 UTC (History)
1 user (show)

See Also:
Package list:
dev-lua/luv-1.32.0.0
Runtime testing required: ---
stable-bot: sanity-check+


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Bernardo Meurer 2019-09-20 03:41:59 UTC
I missed these targets when adding the package, and they are needed in order for me to bump neovim.
Comment 1 Stabilization helper bot gentoo-dev 2019-11-01 16:00:49 UTC
An automated check of this bug failed - the following atom is unknown:

dev-lua/luv-1.30.1.1

Please verify the atom list.
Comment 2 Mikle Kolyada archtester Gentoo Infrastructure gentoo-dev Security 2019-11-03 14:01:47 UTC
~arm keyworded
Comment 3 Roy Bamford gentoo-dev 2019-11-03 22:01:25 UTC
Built and ran build tests on luv-1.32.0.0 on arm64
Its good for its ~arm64 keyword and repoman is happy too.

Someone make the commit please (I can't) and blame me for the testing.
Comment 4 Larry the Git Cow gentoo-dev 2019-11-04 03:56:13 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=6cc69169c28f37e7a706d7e875a78636630f8cd0

commit 6cc69169c28f37e7a706d7e875a78636630f8cd0
Author:     Joonas Niilola <juippis@gentoo.org>
AuthorDate: 2019-11-04 03:55:34 +0000
Commit:     Joonas Niilola <juippis@gentoo.org>
CommitDate: 2019-11-04 03:55:34 +0000

    dev-lua/luv: add ~arm64 for 1.32.0
    
    Tested-by: Roy Bamford <neddyseagoon@gentoo.org>
    Closes: https://bugs.gentoo.org/695024
    Package-Manager: Portage-2.3.78, Repoman-2.3.17
    Signed-off-by: Joonas Niilola <juippis@gentoo.org>

 dev-lua/luv/luv-1.32.0.0.ebuild | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)
Comment 5 Joonas Niilola gentoo-dev 2019-11-04 03:57:03 UTC
Thanks Roy, committed.